Revoking Static Address

You can revoke a static wallet by providing the merchant API key and the address associated with the static wallet. This action will disable the static wallet and prevent any further transactions from being credited to the specified address.

To avoid reaching the limit on generating new static addresses, we recommend manually revoking addresses with no transactions. If you have too many static addresses without transactions, the system will prevent you from generating additional ones. Therefore, it's important to proactively revoke inactive addresses to ensure you can continue generating new ones.

post
Header parameters
merchant_api_keystringRequired

Your Merchant API Key for authentication and authorization.

Content-TypestringRequiredDefault: application/json
Body
addressstringRequired

The address of the static wallet you want to revoke.

Responses
chevron-right
200

Successful operation

application/json
dataobjectOptional
messagestringOptional

A message containing additional information about the result of the request.

statusintegerOptional

The status of the request response. Typically provided as a numeric code (e.g., 200 for success or other codes for errors).

versionstringOptional

The version of the API being used.

post
/payment/static-address/revoke

Last updated